com.impinj.stp

## Class StpApi.DeviceConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>
      - - com.impinj.stp.StpApi.DeviceConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.DeviceConfig

      public static final class StpApi.DeviceConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>
      implements StpApi.DeviceConfigOrBuilder

  Protobuf type `Impinj.STP.DeviceConfig` Defines the behavior of the device. See SetDeviceConfigResp_.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceConfig` | `build()`
    `StpApi.DeviceConfig` | `buildPartial()`
    `StpApi.DeviceConfig.Builder` | `clear()`
    `StpApi.DeviceConfig.Builder` | `clearDeviceMode()`
    `StpApi.DeviceConfig.Builder` | `clearGPIConfig()`
    `StpApi.DeviceConfig.Builder` | `clearGPOConfig()`
    `StpApi.DeviceConfig.Builder` | `clearOperationMode()`
    `StpApi.DeviceConfig.Builder` | `clearOperationResponsibility()`
    `StpApi.DeviceConfig.Builder` | `clearRegion()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.DeviceConfig.Builder` | `clearReportConfig()`
    `StpApi.DeviceConfig.Builder` | `clearTriggerConfig()`
    `StpApi.DeviceConfig.Builder` | `clone()`
    `StpApi.DeviceConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceMode` | `getDeviceMode()`
    `StpApi.GPIConfig` | `getGPIConfig()`
    `StpApi.GPIConfig.Builder` | `getGPIConfigBuilder()`
    `StpApi.GPIConfigOrBuilder` | `getGPIConfigOrBuilder()`
    `StpApi.GPOConfig` | `getGPOConfig()`
    `StpApi.GPOConfig.Builder` | `getGPOConfigBuilder()`
    `StpApi.GPOConfigOrBuilder` | `getGPOConfigOrBuilder()`
    `StpApi.OperationMode` | `getOperationMode()`
    `StpApi.OperationResponsibility` | `getOperationResponsibility()`
    `StpApi.OperationResponsibility.Builder` | `getOperationResponsibilityBuilder()`
    `StpApi.OperationResponsibilityOrBuilder` | `getOperationResponsibilityOrBuilder()`
    `StpApi.Region` | `getRegion()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.Region.Builder` | `getRegionBuilder()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.RegionOrBuilder` | `getRegionOrBuilder()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.ReportConfig` | `getReportConfig()`
    `StpApi.ReportConfig.Builder` | `getReportConfigBuilder()`
    `StpApi.ReportConfigOrBuilder` | `getReportConfigOrBuilder()`
    `StpApi.TriggerConfig` | `getTriggerConfig()`
    `StpApi.TriggerConfig.Builder` | `getTriggerConfigBuilder()`
    `StpApi.TriggerConfigOrBuilder` | `getTriggerConfigOrBuilder()`
    `boolean` | `hasDeviceMode()`
    `boolean` | `hasGPIConfig()`
    `boolean` | `hasGPOConfig()`
    `boolean` | `hasOperationMode()`
    `boolean` | `hasOperationResponsibility()`
    `boolean` | `hasRegion()` repeated LicenseKey installed_license_keys = 1;
    `boolean` | `hasReportConfig()`
    `boolean` | `hasTriggerConfig()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.DeviceConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.DeviceConfig.Builder` | `mergeFrom(StpApi.DeviceConfig other)`
    `StpApi.DeviceConfig.Builder` | `mergeGPIConfig(StpApi.GPIConfig value)`
    `StpApi.DeviceConfig.Builder` | `mergeGPOConfig(StpApi.GPOConfig value)`
    `StpApi.DeviceConfig.Builder` | `mergeOperationResponsibility(StpApi.OperationResponsibility value)`
    `StpApi.DeviceConfig.Builder` | `mergeRegion(StpApi.Region value)` repeated LicenseKey installed_license_keys = 1;
    `StpApi.DeviceConfig.Builder` | `mergeReportConfig(StpApi.ReportConfig value)`
    `StpApi.DeviceConfig.Builder` | `mergeTriggerConfig(StpApi.TriggerConfig value)`
    `StpApi.DeviceConfig.Builder` | `setDeviceMode(StpApi.DeviceMode value)`
    `StpApi.DeviceConfig.Builder` | `setGPIConfig(StpApi.GPIConfig.Builder builderForValue)`
    `StpApi.DeviceConfig.Builder` | `setGPIConfig(StpApi.GPIConfig value)`
    `StpApi.DeviceConfig.Builder` | `setGPOConfig(StpApi.GPOConfig.Builder builderForValue)`
    `StpApi.DeviceConfig.Builder` | `setGPOConfig(StpApi.GPOConfig value)`
    `StpApi.DeviceConfig.Builder` | `setOperationMode(StpApi.OperationMode value)`
    `StpApi.DeviceConfig.Builder` | `setOperationResponsibility(StpApi.OperationResponsibility.Builder builderForValue)`
    `StpApi.DeviceConfig.Builder` | `setOperationResponsibility(StpApi.OperationResponsibility value)`
    `StpApi.DeviceConfig.Builder` | `setRegion(StpApi.Region.Builder builderForValue)` repeated LicenseKey installed_license_keys = 1;
    `StpApi.DeviceConfig.Builder` | `setRegion(StpApi.Region value)` repeated LicenseKey installed_license_keys = 1;
    `StpApi.DeviceConfig.Builder` | `setReportConfig(StpApi.ReportConfig.Builder builderForValue)`
    `StpApi.DeviceConfig.Builder` | `setReportConfig(StpApi.ReportConfig value)`
    `StpApi.DeviceConfig.Builder` | `setTriggerConfig(StpApi.TriggerConfig.Builder builderForValue)`
    `StpApi.DeviceConfig.Builder` | `setTriggerConfig(StpApi.TriggerConfig value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### clear

          public StpApi.DeviceConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### clone

          public StpApi.DeviceConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.DeviceConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.DeviceConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.DeviceConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.DeviceConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### mergeFrom

          public StpApi.DeviceConfig.Builder mergeFrom(StpApi.DeviceConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceConfig.Builder>`

    - #### mergeFrom

          public StpApi.DeviceConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasRegion

          public boolean hasRegion()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `hasRegion` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getRegion

          public StpApi.Region getRegion()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `getRegion` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setRegion

          public StpApi.DeviceConfig.Builder setRegion(StpApi.Region value)

      repeated LicenseKey installed_license_keys = 1;

    - #### setRegion

          public StpApi.DeviceConfig.Builder setRegion(StpApi.Region.Builder builderForValue)

      repeated LicenseKey installed_license_keys = 1;

    - #### mergeRegion

          public StpApi.DeviceConfig.Builder mergeRegion(StpApi.Region value)

      repeated LicenseKey installed_license_keys = 1;

    - #### clearRegion

          public StpApi.DeviceConfig.Builder clearRegion()

      repeated LicenseKey installed_license_keys = 1;

    - #### getRegionBuilder

          public StpApi.Region.Builder getRegionBuilder()

      repeated LicenseKey installed_license_keys = 1;

    - #### getRegionOrBuilder

          public StpApi.RegionOrBuilder getRegionOrBuilder()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `getRegionOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasDeviceMode

          public boolean hasDeviceMode()

      Specified by:
        `hasDeviceMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getDeviceMode

          public StpApi.DeviceMode getDeviceMode()

      Specified by:
        `getDeviceMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setDeviceMode

          public StpApi.DeviceConfig.Builder setDeviceMode(StpApi.DeviceMode value)

    - #### clearDeviceMode

          public StpApi.DeviceConfig.Builder clearDeviceMode()

    - #### hasOperationMode

          public boolean hasOperationMode()

      Specified by:
        `hasOperationMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getOperationMode

          public StpApi.OperationMode getOperationMode()

      Specified by:
        `getOperationMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setOperationMode

          public StpApi.DeviceConfig.Builder setOperationMode(StpApi.OperationMode value)

    - #### clearOperationMode

          public StpApi.DeviceConfig.Builder clearOperationMode()

    - #### hasOperationResponsibility

          public boolean hasOperationResponsibility()

      Specified by:
        `hasOperationResponsibility` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getOperationResponsibility

          public StpApi.OperationResponsibility getOperationResponsibility()

      Specified by:
        `getOperationResponsibility` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setOperationResponsibility

          public StpApi.DeviceConfig.Builder setOperationResponsibility(StpApi.OperationResponsibility value)

    - #### setOperationResponsibility

          public StpApi.DeviceConfig.Builder setOperationResponsibility(StpApi.OperationResponsibility.Builder builderForValue)

    - #### mergeOperationResponsibility

          public StpApi.DeviceConfig.Builder mergeOperationResponsibility(StpApi.OperationResponsibility value)

    - #### clearOperationResponsibility

          public StpApi.DeviceConfig.Builder clearOperationResponsibility()

    - #### getOperationResponsibilityBuilder

          public StpApi.OperationResponsibility.Builder getOperationResponsibilityBuilder()

    - #### getOperationResponsibilityOrBuilder

          public StpApi.OperationResponsibilityOrBuilder getOperationResponsibilityOrBuilder()

      Specified by:
        `getOperationResponsibilityOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasTriggerConfig

          public boolean hasTriggerConfig()

      Specified by:
        `hasTriggerConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getTriggerConfig

          public StpApi.TriggerConfig getTriggerConfig()

      Specified by:
        `getTriggerConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setTriggerConfig

          public StpApi.DeviceConfig.Builder setTriggerConfig(StpApi.TriggerConfig value)

    - #### setTriggerConfig

          public StpApi.DeviceConfig.Builder setTriggerConfig(StpApi.TriggerConfig.Builder builderForValue)

    - #### mergeTriggerConfig

          public StpApi.DeviceConfig.Builder mergeTriggerConfig(StpApi.TriggerConfig value)

    - #### clearTriggerConfig

          public StpApi.DeviceConfig.Builder clearTriggerConfig()

    - #### getTriggerConfigBuilder

          public StpApi.TriggerConfig.Builder getTriggerConfigBuilder()

    - #### getTriggerConfigOrBuilder

          public StpApi.TriggerConfigOrBuilder getTriggerConfigOrBuilder()

      Specified by:
        `getTriggerConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasGPIConfig

          public boolean hasGPIConfig()

      Specified by:
        `hasGPIConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPIConfig

          public StpApi.GPIConfig getGPIConfig()

      Specified by:
        `getGPIConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setGPIConfig

          public StpApi.DeviceConfig.Builder setGPIConfig(StpApi.GPIConfig value)

    - #### setGPIConfig

          public StpApi.DeviceConfig.Builder setGPIConfig(StpApi.GPIConfig.Builder builderForValue)

    - #### mergeGPIConfig

          public StpApi.DeviceConfig.Builder mergeGPIConfig(StpApi.GPIConfig value)

    - #### clearGPIConfig

          public StpApi.DeviceConfig.Builder clearGPIConfig()

    - #### getGPIConfigBuilder

          public StpApi.GPIConfig.Builder getGPIConfigBuilder()

    - #### getGPIConfigOrBuilder

          public StpApi.GPIConfigOrBuilder getGPIConfigOrBuilder()

      Specified by:
        `getGPIConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasGPOConfig

          public boolean hasGPOConfig()

      Specified by:
        `hasGPOConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPOConfig

          public StpApi.GPOConfig getGPOConfig()

      Specified by:
        `getGPOConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setGPOConfig

          public StpApi.DeviceConfig.Builder setGPOConfig(StpApi.GPOConfig value)

    - #### setGPOConfig

          public StpApi.DeviceConfig.Builder setGPOConfig(StpApi.GPOConfig.Builder builderForValue)

    - #### mergeGPOConfig

          public StpApi.DeviceConfig.Builder mergeGPOConfig(StpApi.GPOConfig value)

    - #### clearGPOConfig

          public StpApi.DeviceConfig.Builder clearGPOConfig()

    - #### getGPOConfigBuilder

          public StpApi.GPOConfig.Builder getGPOConfigBuilder()

    - #### getGPOConfigOrBuilder

          public StpApi.GPOConfigOrBuilder getGPOConfigOrBuilder()

      Specified by:
        `getGPOConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasReportConfig

          public boolean hasReportConfig()

      Specified by:
        `hasReportConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getReportConfig

          public StpApi.ReportConfig getReportConfig()

      Specified by:
        `getReportConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### setReportConfig

          public StpApi.DeviceConfig.Builder setReportConfig(StpApi.ReportConfig value)

    - #### setReportConfig

          public StpApi.DeviceConfig.Builder setReportConfig(StpApi.ReportConfig.Builder builderForValue)

    - #### mergeReportConfig

          public StpApi.DeviceConfig.Builder mergeReportConfig(StpApi.ReportConfig value)

    - #### clearReportConfig

          public StpApi.DeviceConfig.Builder clearReportConfig()

    - #### getReportConfigBuilder

          public StpApi.ReportConfig.Builder getReportConfigBuilder()

    - #### getReportConfigOrBuilder

          public StpApi.ReportConfigOrBuilder getReportConfigOrBuilder()

      Specified by:
        `getReportConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`